---
title: "Mail DNS Setup"
date: 2020-12-19T15:59:43+01:00
draft: false
---

Since I always struggle with DNS records for mailservers... here are some examples:

## DMARC

```
_dmarc TXT "v=DMARC1; p=none; rua=mailto:dmarc@domain.tld"
```

- **v** - version of DMARC (`DMARC1`)
- **p** - policy (`none`, `quarantine`, `reject`)
- **rua** - URI for agreggate reports (comma-separated)
- **ruf** - URI for failure reports (comma-separated)

## SPF

```
@ TXT "v=spf1 mx -all"
```

- **v** - version (`spf1`)
- **mx** - allow emails from servers specified in MX records
- **-all** - don't allow from everyone else

